import 'reflect-metadata';
import { ConfService } from './types';
/**
 * Clase para la definicion y manejo del microservicio.
 */
export declare class MsManager {
    /**
     * Metodo que ejecuta una clase
     * @param Target Clase a ejecutar
     */
    static execute(Target: any): void;
    /**
     * Metodo para el el registro del micro servicio
     * @param Conf Configuracion del microservicio
     */
    static Define(Conf: ConfService): any;
    /**
     * @public
     * @static
     */
    static List(): any;
    /**
     * @public
     * @static
     */
    static Create(): any;
    /**
     * @public
     * @static
     */
    static Get(): any;
    /**
     * @public
     * @static
     */
    static Update(): any;
    /**
     * @public
     * @static
     */
    static Delete(): any;
    /**
     * @public
     * @static
     */
    static Listener(): any;
    /**
     * @public
     * @static
     */
    static Fork(): any;
    static Errors(): any;
    /**
     * Metodo para el registro Raw de un elemento de clase
     * @param conf Configuracion del elemento
     * @param type Tipo del elemento
     */
    static defineElement(Type: string): any;
    /**
     * Metodo para recuperar toda la Meta data de un target
     * @param Target
     */
    static getAllMetaData(Target: any): object[];
}
