export interface ConfConsumer {
    kafkaHost: string;
    groupId: string;
}
/**
 * Intercaces del metadata
 */
export interface Metadata {
    id_operacion?: string | number;
    id_transaction: string;
    intents?: number;
    callback?: string;
    owner: string;
    uowner?: string;
    uworker?: string;
    worker?: string;
    asynchronous?: boolean;
    mtype?: string;
    bifurcacion?: boolean;
    time?: string;
    from?: string;
    method?: string;
    uuid?: any;
}
export interface Header {
    Asynchronous: boolean;
    Authorizacion: boolean;
}
export interface DataRequest {
    metadata: Metadata;
    headers?: Header;
    data?: object;
    response?: any;
}
export declare enum TypeService {
    'Fork' = "fork",
    'Worker' = "worker"
}
export interface ConfService {
    App: string;
    Name: string;
    Version: string;
    Type: TypeService;
    Public?: boolean;
    Kafka?: string[];
    Legacy?: boolean;
    Debug?: boolean;
    ClearQueque?: boolean;
}
export interface ResponseMessage {
    errorCode: number;
    response: any;
}
export declare enum HttpMethod {
    GET = "GET",
    POST = "POST",
    PUT = "PUT",
    DELETE = "DELETE"
}
export interface ErrorMs {
    [index: number]: string;
}
