export default class Util {
    /**
     * Metodo para validar si un elemento es una promesa
     * @param obj Objecto a validar
     */
    static isPromise(obj: any): boolean;
    /**
     * Get a nested object property value
     * Checks for a nested object property and returns its value.
     * @param   {object}    obj     An object given
     * @param   {string}    key     The needed key
     * @return  {string}            The value of that key.
     */
    protected get(key: string, target?: any): any;
    /**
     * Get a nested object property value
     * Checks for a nested object property and returns its value.
     * @param   {object}    obj     An object given
     * @param   {string}    key     The needed key
     * @return  {string}            The value of that key.
     */
    protected has(key: string): boolean;
    /**
     * Metodo para la conversion de un objecto en array-like
     * @param   {object}    data    Objecto a convertir
     * @return  {object}            Resultado de la conversion
     */
    protected arrayLike(data: any): {
        [x: string]: any;
    };
}
